Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs
Class DefaultGetViewHandler

    java.lang.Object
      org.deegree.ogcwebservices.wpvs.GetViewHandler
          org.deegree.ogcwebservices.wpvs.DefaultGetViewHandler

    public class DefaultGetViewHandler

extends GetViewHandler

Default handler for WPVS GetView requests. This Class is the central position where the `GetView` request lands the configured Datasources are gathered and the scene is put together.

Author:
  Ugo Taddei, last edited by: $Author: rbezema $ $Revision: 19665 $, $Date: 2009-09-16 10:11:29 +0200 (Mi, 16. Sep 2009) $

Constructor Summary
`DefaultGetViewHandler(WPVService owner)` Constructor for DefaultGetViewHandler.

Method Summary
`OffScreenWPVSRenderer` | `getRenderer()`
`protected double` | `getTerrainHeightAboveSeaLevel(double eyePositionX, double eyePositionY, double eyePositionZ)` Should return the height of the terrain above the sealevel.
`protected double` | `getTerrainHeightAboveSeaLevel(javax.vecmath.Point3d eyePosition)` Should return the height of the terrain above the sealevel.
`WPVSScene` | `getTheScene()`
`GetViewResponse` | `handleRequest(GetView request)` This Method handles a clients GetView request by creating the appropriate (configured) Datasources, the `ResolutionStripe`s, the requeststripes (which are actually axisalligned Resolutionsripes) and finally putting them all together in a java3d scene.
`BufferedImage` | `renderScene()` Renders the scene and the resulting image.

Methods inherited from class org.deegree.ogcwebservices.wpvs.GetViewHandler
`getOwner`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultGetViewHandler

    public DefaultGetViewHandler(WPVService owner)

  Constructor for DefaultGetViewHandler.

  Parameters:
    `owner` - the service creating this handler

Method Detail

### handleRequest

    public GetViewResponse handleRequest(GetView request)
                                  throws OGCWebServiceException

  This Method handles a clients GetView request by creating the appropriate (configured) Datasources, the `ResolutionStripe`s, the requeststripes (which are actually axisalligned Resolutionsripes) and finally putting them all together in a java3d scene. The creation of the Shape3D Objects (by requesting the ResolutionStripe relevant Datasources) is done in separate Threads for each ResolutionStripe (which is in conflict with the deegree styleguides) using the `Executor` class.

  Specified by:
    `handleRequest` in class `GetViewHandler`
  Parameters:
    `request` - te WPVS GetView request
  Returns:
    an instance of GetViewResponse
  Throws:
    `OGCWebServiceException`
  See Also:
    `GetViewHandler.handleRequest(org.deegree.ogcwebservices.wpvs.operation.GetView)`

### getTerrainHeightAboveSeaLevel

    protected double getTerrainHeightAboveSeaLevel(double eyePositionX,
                                                   double eyePositionY,
                                                   double eyePositionZ)

  Should return the height of the terrain above the sealevel. TODO just returns a constant value, i.e. the configured MinimalTerrainHeight.

  Parameters:
    `eyePositionX` - to find the height of the sealevel for (not used yet)
    `eyePositionY` - to find the height of the sealevel for (not used yet)
    `eyePositionZ` - to find the height of the sealevel for (not used yet)
  Returns:
    the height above the seaLevel.

### getTerrainHeightAboveSeaLevel

    protected double getTerrainHeightAboveSeaLevel(javax.vecmath.Point3d eyePosition)

  Should return the height of the terrain above the sealevel. TODO just returns a constant value, i.e. the configured MinimalTerrainHeight.

  Parameters:
    `eyePosition` - to find the height of the sealevel for (not used yet)
  Returns:
    the height above the seaLevel.

### renderScene

    public BufferedImage renderScene()

  Renders the scene and the resulting image.

  Returns:
    a new image representing a screen shot of the scene

### getTheScene

    public WPVSScene getTheScene()

  Returns:
    Returns the generated scene for this request... handy for debugging.

### getRenderer

    public OffScreenWPVSRenderer getRenderer()

  Returns:
    the scene renderer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org